%define anolis_release 1
Name:          rest
Version:       0.9.1
Release:       %{anolis_release}%{?dist}
Summary:       A library for access to RESTful web services

License:       LGPLv2
URL:           https://gitlab.gnome.org/GNOME/librest
Source0:       https://download.gnome.org/sources/%{name}/0.9/%{name}-%{version}.tar.xz

# Fix some crash paths exposed by the libsoup3 port, including a
# crash on suspend/resume with Google accounts:
# https://gitlab.gnome.org/GNOME/librest/-/merge_requests/30
Patch0:        0001-rest_proxy_call_sync-bail-out-if-no-payload.patch
Patch1:        0002-Handle-some-potential-problems-in-parsing-oauth2-acc.patch

BuildRequires: meson >= 0.56
BuildRequires: gettext
BuildRequires: pkgconfig(gi-docgen)
BuildRequires: pkgconfig(glib-2.0) >= 2.44
BuildRequires: pkgconfig(gobject-2.0) >= 2.44
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gtksourceview-5)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libadwaita-1)
BuildRequires: pkgconfig(libsoup-3.0) >= 2.99.2
BuildRequires: pkgconfig(libxml-2.0)

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent 
remote objects, which methods can then be called on. The majority of services 
don't actually adhere to this strict definition. Instead, their RESTful end 
point usually has an API that is just simpler to use compared to other types 
of APIs they may support (XML-RPC, for instance). It is this kind of API that 
this library is attempting to support.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package demo
Summary: Demo application for %{name}
Requires: %{name} = %{version}-%{release}

%description demo
Demo application for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/librest-1.0.so.0*
%{_libdir}/librest-extras-1.0.so.0*
%{abidir}/librest-1.0.dump
%{abidir}/librest-extras-1.0.dump
%{_libdir}/girepository-1.0/Rest-1.0.typelib
%{_libdir}/girepository-1.0/RestExtras-1.0.typelib

%files devel
%{_includedir}/rest-1.0/
%{_libdir}/pkgconfig/rest-1.0.pc
%{_libdir}/pkgconfig/rest-extras-1.0.pc
%{_libdir}/librest-1.0.so
%{_libdir}/librest-extras-1.0.so
%{_datadir}/doc/librest-1.0/
%{_datadir}/gir-1.0/Rest-1.0.gir
%{_datadir}/gir-1.0/RestExtras-1.0.gir

%files demo
%{_bindir}/librest-demo
%{_datadir}/applications/org.gnome.RestDemo.desktop

%changelog
* Sun Mar 26 2023 Funda Wang <fundawang@yeah.net> - 0.9.1-1
- Import package for anolis 23
